<?php
require_once "connect.php";
require_once "inc/usuario.php";

$id=0;
$st_ativo		= 1;

// capturando o usuário e unidade logado
$usuario_pedido = getLoggedUser();
$id_usuario=$usuario_pedido['id'];
$id_unidade=$usuario_pedido['unidade'];

// dados do post
if(isset($_POST['id'])){
  $id = $_POST['id'];
}

$ds_codigo = trim($_POST['ds_codigo']);
$st_acao = trim($_POST['st_acao']);
$ds_razao = trim($_POST['ds_razao']);
$ds_fantasia = trim($_POST['ds_fantasia']);
$ds_cep = trim($_POST['ds_cep']);
$ds_endereco = trim($_POST['ds_endereco']);
$ds_complemento = trim($_POST['ds_complemento']);
$ds_bairro = trim($_POST['ds_bairro']);
$id_municipio = trim($_POST['id_municipio']);
$ds_cx_postal = trim($_POST['ds_cx_postal']);
$ds_cpf_cnpj = trim($_POST['ds_cpf_cnpj']);
$ds_rg = trim($_POST['ds_rg']);
$ds_ddi = trim($_POST['ds_ddi']);
$ds_ddd = trim($_POST['ds_ddd']);
$ds_telefone = trim($_POST['ds_telefone']);
$ds_fax = trim($_POST['ds_fax']);
$ds_ie = trim($_POST['ds_ie']);
$ds_im = trim($_POST['ds_im']);
$ds_email = trim($_POST['ds_email']);
$ds_departamento = trim($_POST['ds_departamento']);
$ds_homepage = trim($_POST['ds_homepage']);

/*
$nr_telex = trim($_POST['nr_telex']);
$id_cbo = trim($_POST['id_cbo']);
$id_cnae = trim($_POST['id_cnae']);
// $nr_agencia = trim($_POST['nr_agencia']);
*/

$ds_observacao = trim($_POST['ds_observacao']);
$id_banco = trim($_POST['id_banco']);

$ds_conta_corrente = trim($_POST['ds_conta_corrente']);
$ds_natureza = trim($_POST['ds_natureza']);
$id_condicao_pagamento = trim($_POST['id_condicao_pagamento']);


/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/

$ds_cpf_cnpj = preg_replace("/[^0-9]/", "", $ds_cpf_cnpj);
$ds_cep = preg_replace("/[^0-9]/", "", $ds_cep);


echo "<br>st_acao:::$st_acao";


if($st_acao==''){
  $st_acao=0;
}


if($id_condicao_pagamento==''){
  $id_condicao_pagamento=1;
}


// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_transportadoras set
   ds_codigo='$ds_codigo'
  ,st_acao='$st_acao'
  ,ds_razao='$ds_razao'
  ,ds_fantasia='$ds_fantasia'
  ,ds_cep='$ds_cep'
  ,ds_endereco='$ds_endereco'
  ,ds_complemento='$ds_complemento'
  ,ds_bairro='$ds_bairro'
  ,id_municipio='$id_municipio'
  ,ds_cx_postal='$ds_cx_postal'
  ,ds_cpf_cnpj='$ds_cpf_cnpj'
  ,ds_rg='$ds_rg'
  ,ds_ddi='$ds_ddi'
  ,ds_ddd='$ds_ddd'
  ,ds_telefone='$ds_telefone'
  ,ds_fax='$ds_fax'
  ,ds_ie='$ds_ie'
  ,ds_im='$ds_im'
  ,ds_email='$ds_email'
  ,ds_departamento='$ds_departamento'
  ,ds_homepage='$ds_homepage'
  ,ds_observacao='$ds_observacao'
  ,id_banco='$id_banco'
  ,ds_conta_corrente='$ds_conta_corrente'
  ,ds_natureza='$ds_natureza'
  ,id_condicao_pagamento='$id_condicao_pagamento'
  ,dh_alteracao=now()";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_transportadoras set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_transportadoras(
     ds_codigo
    ,st_acao
    ,ds_razao
    ,ds_fantasia
    ,ds_cep
    ,ds_endereco
    ,ds_complemento
    ,ds_bairro
    ,id_municipio
    ,ds_cx_postal
    ,ds_cpf_cnpj
    ,ds_rg
    ,ds_ddi
    ,ds_ddd
    ,ds_telefone
    ,ds_fax
    ,ds_ie
    ,ds_im
    ,ds_email
    ,ds_departamento
    ,ds_homepage
    ,ds_observacao
    ,id_banco
    ,ds_conta_corrente
    ,ds_natureza
    ,id_condicao_pagamento
    ,st_ativo, id_usuario)";

		$sql .="values(
     '$ds_codigo'
    ,'$st_acao'
    ,'$ds_razao'
    ,'$ds_fantasia'
    ,'$ds_cep'
    ,'$ds_endereco'
    ,'$ds_complemento'
    ,'$ds_bairro'
    ,'$id_municipio'
    ,'$ds_cx_postal'
    ,'$ds_cpf_cnpj'
    ,'$ds_rg'
    ,'$ds_ddi'
    ,'$ds_ddd'
    ,'$ds_telefone'
    ,'$ds_fax'
    ,'$ds_ie'
    ,'$ds_im'
    ,'$ds_email'
    ,'$ds_departamento'
    ,'$ds_homepage'
    ,'$ds_observacao'
    ,'$id_banco'
    ,'$ds_conta_corrente'
    ,'$ds_natureza'
    ,'$id_condicao_pagamento'
    , $st_ativo, $id_usuario)";
}

// executa sql
if($sql!=""){
  $sql  = str_replace("''", "null", $sql);

	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
	mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}
  echo $sql;
  header("Location:erpc_transportadora_list.php");
?>
